# https://github.com/jojo61/vdr-plugin-softhdcuvid/commit/695a6495ddcfa9838b5c921a9ada97e7c34c7eb8
%global commit  695a6495ddcfa9838b5c921a9ada97e7c34c7eb8
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20191117

Name:           vdr-softhdcuvid
Version:        1.1.0
Release:        2.%{gitdate}git%{shortcommit}%{?dist}
Summary:        VDR Plugin with CUDA and Opengl 

License:        AGPLv3
URL:            https://github.com/jojo61/vdr-plugin-softhdcuvid
Source0:        https://github.com/jojo61/vdr-plugin-softhdcuvid/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
# Configuration files for plugin parameters. These are Fedora specific and not in upstream.
Source1:        %{name}.conf

BuildRequires:  vdr-devel >= 1.7.22
BuildRequires:  gettext
BuildRequires:  libva-devel
BuildRequires:  libvdpau-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  freeglut-devel
BuildRequires:  libxcb-devel
BuildRequires:  xcb-util-devel
BuildRequires:  xcb-util-wm-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  glm-devel >= 0.9.8.4-5
BuildRequires:  glew-devel
BuildRequires:  cuda >= 10.1
#BuildRequires:  libplacebo-devel
BuildRequires:  xorg-x11-drv-nvidia-cuda-libs
BuildRequires:  freetype-devel
Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}
Requires:       xorg-x11-server-Xorg

%description
CUDA Installation:
https://linuxconfig.org/how-to-install-nvidia-cuda-toolkit-on-fedora-29-linux
# wget https://developer.download.nvidia.com/compute/cuda/repos/fedora29/x86_64/cuda-repo-fedora29-10.1.105-1.x86_64.rpm
# ln -s /usr/lib64/libnvcuvid.so.1 /usr/lib64/libnvcuvid.so
A software and GPU emulated UHD output device plugin for VDR.

    Video decoder CPU / VDPAU
    Video output opengl
    Audio FFMpeg / Alsa / Analog
    Audio FFMpeg / Alsa / Digital
    Audio FFMpeg / OSS / Analog
    HDMI/SPDIF pass-through
    Software volume, compression, normalize and channel re-sample
    VDR ScaleVideo API
    CUDA deinterlacer 
    Autocrop
    Suspend / Dettach
    PIP (Picture-in-Picture) (VDPAU only)

%prep
%setup -qn vdr-plugin-softhdcuvid-%{commit}

# remove .git files
rm -f .indent.pro .gitignore .gitattributes

for f in ChangeLog README.md; do
  iconv -f iso8859-1 -t utf-8 $f >$f.conv
  touch -r $f $f.conv
  mv $f.conv $f
done

%build
%{set_build_flags}
%make_build

%install
%make_install
install -Dpm 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/softhdcuvid.conf

%find_lang %{name}

%files -f %{name}.lang
%{vdr_plugindir}/libvdr-softhdcuvid.so.%{vdr_apiversion}
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/softhdcuvid.conf
%doc ChangeLog README.md
%license AGPL-3.0.txt

%changelog
* Mon Nov 16 2019 Martin Gansser <martinkg@fedoraproject.org> - 1.1.0-2.20191117git695a649
- Update to 1.1.0-2.20191117git695a649

* Mon May 06 2019 Martin Gansser <martinkg@fedoraproject.org> - 1.1.0-1.20190427gitfae0d3a
- first build of vdr-softhdcuvid version
